[pacman-dev] [PATCH] makepkg: clarify aborting on packaging failure

Allan McRae allan at archlinux.org
Wed Jun 30 09:09:08 EDT 2010


When makepkg catches a command failure it currently prints "Aborting..."
and exits.  Clarify the reason for aborting from packaging is a failure
during one of the PKGBUILDs functions.

Signed-off-by: Allan McRae <allan at archlinux.org>
---

The error now looks like:
==> ERROR: A failure occurred in package().
    Aborting...

 scripts/makepkg.sh.in |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index cbc344d..fdedc89 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -721,6 +721,7 @@ error_function() {
 	fi
 	# first exit all subshells, then print the error
 	if (( ! BASH_SUBSHELL )); then
+		error "$(gettext "A failure occurred in %s().")" "$1"
 		plain "$(gettext "Aborting...")"
 		remove_deps
 	fi
@@ -768,7 +769,7 @@ run_function() {
 		tee "$BUILDLOG" < "$logpipe" &
 		exec 1>"$logpipe" 2>"$logpipe"
 		restoretrap=$(trap -p ERR)
-		trap 'error_function' ERR
+		trap 'error_function $pkgfunc' ERR
 		$pkgfunc 2>&1
 		eval $restoretrap
 		sync
@@ -776,7 +777,7 @@ run_function() {
 		rm "$logpipe"
 	else
 		restoretrap=$(trap -p ERR)
-		trap 'error_function' ERR
+		trap 'error_function $pkgfunc' ERR
 		$pkgfunc 2>&1
 		eval $restoretrap
 	fi
-- 
1.7.1



More information about the pacman-dev mailing list